/// <reference types="react" />
import * as React from "react";
export interface ExportProps {
    columns: any[];
    exportType: "by-one-click" | "by-config";
    onExport(checkedColumnKeys?: string[], rangeType?: "ALL" | "SELECTED"): void | boolean;
}
export interface ExportState {
    visible: boolean;
    formFields: {
        columnsType: "ALL" | "PARTIAL";
        checkedColumnKeys: string[];
        rangeType: "ALL" | "SELECTED";
    };
}
export default class Export extends React.Component<ExportProps, ExportState> {
    state: ExportState;
    handleToggleVisible: () => void;
    handleExportSubmit: () => void;
    handleFormValuesChange: ([formItemId, formFieldValue]: [string, any]) => void;
    handleOneClickExport: () => void;
    render(): JSX.Element;
}
